QGIS Application - Bug report #2377
Symbology legend classification items can get out of sync with classification field
2010-01-18 10:13 PM - springmeyer -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 12437
Description

Using current symbology (not sym-ng) and a postgis dataset (openstreetmap) it is possible to:

1) choose unique value symbology

2) choose a classification field of text and classify features

3) then still within the symbology interface change the classification field to a int4 type

4) then leave the symbology interface without again hitting 'classify’

I know this is a bit of a fringe thing, and I'm not sure out the right solution, but | noticed this because somehow | managed to do this and it

breaks Quantumnik (and | assume other plugins that query the classification field type and value), because QGIS reports int4
(Qvariant.Int) type but returns text-based feature values.

History

#1 - 2011-12-16 01:57 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:23 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:37 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-11-14 05:04 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Operating System deleted (All)

- Status info deleted (0)

- Resolution set to wontfix
